rpms/abrt/devel abrt.init, NONE, 1.1 abrt.spec, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2

Jiří Moskovčák jmoskovc at fedoraproject.org
Tue Mar 3 21:09:37 UTC 2009


Author: jmoskovc

Update of /cvs/extras/rpms/abrt/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv2037

Modified Files:
	.cvsignore sources 
Added Files:
	abrt.init abrt.spec 
Log Message:
Initial release



--- NEW FILE abrt.init ---
#!/bin/bash
# Starts the abrt daemon
#
# chkconfig: - 82 16
# description: Daemon to detect crashing apps
# processname: abrt
### BEGIN INIT INFO
# Provides: abrt
# Required-Start: $syslog $local_fs
# Required-Stop: $syslog $local_fs
# Default-Stop: 0 1 2 3 4 5 6
# Short-Description: start and stop crash-carcher daemon
# Description: Listen and dispatch crash events
### END INIT INFO

# Source function library.
. /etc/rc.d/init.d/functions

RETVAL=0

#
# See how we were called.
#

check() {
	# Check that we're a privileged user
	[ `id -u` = 0 ] || exit 4
	
	# Check if abrt is executable
	test -x /usr/sbin/abrt || exit 5
}

start() {

	check
	
	# Check if it is already running
	if [ ! -f /var/lock/subsys/abrt ]; then
		echo -n $"Starting abrt daemon: "	
	    daemon /usr/sbin/abrt
	    RETVAL=$?
	    [ $RETVAL -eq 0 ] && touch /var/lock/subsys/abrt
	    echo
	fi
	return $RETVAL
}

stop() {

	check
	
	echo -n $"Stopping abrt daemon: "
	killproc /usr/sbin/abrt
	RETVAL=$?
	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/abrt
	echo
    return $RETVAL
}


restart() {
	stop
	start
}	

reload() {
	restart
}	

case "$1" in
start)
	start
	;;
stop)
	stop
	;;
reload)
	reload
	;;
force-reload)
	echo "$0: Unimplemented feature."
	RETVAL=3
	;;
restart)
	restart
	;;
condrestart)
	if [ -f /var/lock/subsys/abrt ]; then
	    restart
	fi
	;;
status)
	status abrt
	RETVAL=$?
	;;
*)
	echo $"Usage: $0 {start|stop|status|restart|condrestart|reload|force-reload}"
	RETVAL=2
esac

exit $RETVAL


--- NEW FILE abrt.spec ---
Summary: Automatic bug detection and reporting tool
Name: abrt
Version: 0.0.1
Release: 12%{?dist}
License: GPLv2+
Group: Applications/System
URL: https://fedorahosted.org/crash-catcher/
Source: http://jmoskovc.fedorapeople.org/%{name}-%{version}.tar.gz
Source1: abrt.init
BuildRequires: dbus-c++-devel
BuildRequires: gtk2-devel
BuildRequires: dbus-glib-devel
BuildRequires: rpm-devel >= 4.6
BuildRequires: sqlite-devel > 3.0
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{name} is a tool to help users to detect defects in applications and 
to create a bug report with all informations needed by maintainer to fix it. 
It uses plugin system to extend its functionality.

%package libs
Summary: Libraries for %{name}
Group: System Environment/Libraries

%description libs
Libraries for %{name}.

%package devel
Summary: Development libraries for %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
Development libraries and headers for %{name}.

%package applet
Summary: %{name}'s applet
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description applet
Simple systray applet to notify user about new events detected by %{name} 
daemon.

%package gui
Summary: %{name}'s gui
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description gui
GTK+ wizard for convenient bug reporting.

%package addon-ccpp
Summary: %{name}'s C/C++ addon
Group: System Environment/Libraries
Requires: gdb
Requires: %{name} = %{version}-%{release}

%description addon-ccpp
This package contains hook for C/C++ crashed programs and %{name}'s C/C++ 
language plugin.

%package plugin-sqlite3
Summary: %{name}'s SQLite3 database plugin
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description plugin-sqlite3
This package contains SQLite3 database plugin. It is used for storing the data 
required for creating a bug report.

%package plugin-logger
Summary: %{name}'s logger reporter plugin
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description plugin-logger
The simple reporter plugin, which writes a report to a specified file.

%package plugin-mailx
Summary: %{name}'s mailx reporter plugin
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: mailx

%description plugin-mailx
The simple reporter plugin, which sends a report via mailx to a specified
email. 

%prep
%setup -q

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/%{_libdir}/lib*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/%{name}/lib*.la
mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
install -m 755 %SOURCE1 ${RPM_BUILD_ROOT}/%{_initrddir}/%{name}
mkdir -p $RPM_BUILD_ROOT/var/cache/%{name}

desktop-file-install \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
        src/Gui/%{name}.desktop
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%post libs -p /sbin/ldconfig

%preun
if [ "$1" = 0 ] ; then
  service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-%{name}.conf
%{_initrddir}/%{name}
%dir /var/cache/%{name}
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/plugins
%dir %{_libdir}/%{name}

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so

%files applet
%defattr(-,root,root,-)
%{_bindir}/cc-applet

%files gui
%defattr(-,root,root,-)
%{_bindir}/%{name}-gui
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

%files addon-ccpp
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/CCpp.conf
%{_libdir}/%{name}/libCCpp.so*
%{_libexecdir}/hookCCpp

%files plugin-sqlite3
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/SQLite3.conf
%{_libdir}/%{name}/libSQLite3.so*

%files plugin-logger
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/Logger.conf
%{_libdir}/%{name}/libLogger.so*

%files plugin-mailx
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/Mailx.conf
%{_libdir}/%{name}/libMailx.so*

%changelog
* Tue Mar  3 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-12
- initial fedora release
- changed SOURCE url
- added desktop-file-utils to BR
- changed crash-catcher to %%{name}

* Mon Mar  2 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-11
- more spec file fixes according to review
- async dbus method calls, added exception handler
- avoid deadlocks (zprikryl)
- root is god (zprikryl)
- create bt only once (zprikryl)

* Sat Feb 28 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-10
- New gui
- Added new method DeleteDebugDump to daemon
- Removed gcc warnings from applet
- Rewritten CCpp hook and removed dealock in DebugDumps lib (zprikryl)
- fixed few gcc warnings
- DBusBackend improvements

* Fri Feb 27 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-9
- fixed few gcc warnings
- added scrolled window for long reports

* Thu Feb 26 2009 Adam Williamson <awilliam at redhat.com> 0.0.1-8
- fixes for all issues identified in review

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-7
- Fixed cancel button behaviour in reporter
- disabled core file sending
- removed some debug messages

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-6
- fixed DB path
- added new signals to handler
- gui should survive the dbus timeout

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-5
- fixed catching debuinfo install exceptions
- some gui fixes
- added check for GPGP public key

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-4
- changed from full bt to simple bt

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-3
- spec file cleanups
- changed default paths to crash DB and log DB
- fixed some memory leaks

* Tue Feb 24 2009 Jiri Moskovcak <jmoskovc at redhat.com> 0.0.1-2
- spec cleanup
- added new subpackage gui

* Wed Feb 18 2009 Zdenek Prikryl <zprikryl at redhat.com> 0.0.1-1
- initial packing


Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/abrt/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore	3 Mar 2009 20:33:12 -0000	1.1
+++ .cvsignore	3 Mar 2009 21:09:07 -0000	1.2
@@ -0,0 +1 @@
+abrt-0.0.1.tar.gz


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/abrt/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources	3 Mar 2009 20:33:12 -0000	1.1
+++ sources	3 Mar 2009 21:09:07 -0000	1.2
@@ -0,0 +1 @@
+37f179f0c438fc9a5906bbb00567f3ad  abrt-0.0.1.tar.gz




More information about the fedora-extras-commits mailing list